.pt-m-part-pagination {
  // width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

  & > .__prev,
  & > .__next {
    & > .rs-btn {
      width: 4.8rem;
      height: 4.8rem;

      &.--disabled {
        opacity: 0;
        pointer-events: none;
      }

      & > img {
        width: 1.6rem;
        height: 1.6rem;
      }
    }
  }

  & > .__next {
    border-radius: 50%;
    transform: rotate(180deg);
  }

  & > .__list {
    display: flex;
    align-items: center;
    .rs-btn {
      width: 4rem;
      height: 4rem;
    }
  }

  .rs-btn {
    margin: 0 0.4rem;
    border-radius: 50%;
    background: $aliceBlue;
    color: $dodgerBlue;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'mont_sb';
    font-size: 1.6rem;
    overflow: hidden;
    transition: all 0.25s ease-in-out;

    &.--done {
      background: $cornflower;
      color: $white;
    }

    &.--active {
      background: linear-gradient(180deg, $limeGreen, $emerald);
      color: $white;
      pointer-events: none;
    }

    &.--hidden {
      display: none;
    }
  }
}

@media only screen and (min-width: 768) and (max-width: 1024px) {
  .pt-m-part-pagination {
    align-items: unset;
    justify-content: unset;
    & > .__prev,
    & > .__next {
      & > .rs-btn {
        width: 4.2rem;
        height: 4.2rem;

        & > img {
          width: 1.8rem;
          height: 1.8rem;
        }
      }
    }

    & > .__list {
      display: flex;
      align-items: center;
      .rs-btn {
        width: 4rem;
        height: 4rem;
      }
    }

    .rs-btn {
      font-size: 1.8rem;
    }
  }
}

@media only screen and (max-width: 767px) and (max-aspect-ratio: 3999/3000) {
  .pt-m-part-pagination {
    align-items: unset;
    justify-content: unset;
    & > .__prev,
    & > .__next {
      display: flex;
      align-items: center;
      & > .rs-btn {
        padding: 0.3rem;
        width: 2.4rem;
        height: 2.4rem;

        & > img {
          width: 1.4rem;
          height: 1.4rem;
        }
      }
    }

    & > .__list {
      display: flex;
      align-items: center;
      .rs-btn {
        width: 3rem;
        height: 3rem;
        font-size: 2rem !important;
        border-radius: 50%;
        &.--lg{
          font-size: 1.6rem !important;
        }
      }
    }

    .rs-btn {
      font-size: 1.4rem;
    }
  }
}
@include screen-960-landscape{
  .pt-m-part-pagination {
    align-items: unset;
    justify-content: unset;
    & > .__prev,
    & > .__next {
      display: flex;
      align-items: center;
      & > .rs-btn {
        padding: 0.3rem;
        width: 3rem;
        height: 3rem;

        & > img {
          width: 1.4rem;
          height: 1.4rem;
        }
      }
    }

    & > .__list {
      display: flex;
      align-items: center;
      .rs-btn {
        width: 3rem;
        height: 3rem;
        font-size: 2rem !important;
        border-radius: 50%;
        &.--lg{
          font-size: 1.6rem !important;
        }
      }
    }

    .rs-btn {
      font-size: 1.4rem;
    }
  }     
}
